Skip to navigation

List paid recommendations invites OAuth Scope: posts:read

Currently in beta

This feature is currently in beta and the API is subject to change.

Retrieve the invites sent for the publication’s paid recommendations offers. Withdrawn invites are not returned.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object

Query parameters

limitintegerOptional
A limit on the number of objects to be returned. The limit can range between 1 and 100, and the default is 10.
cursorstringOptional

Use this opaque cursor token to fetch the next page of results. Obtain the value from next_cursor in a previous response.

Response

OK
datalist of objects
limitintegerOptional
The limit placed on the results. Defaults to 10 if not specified.
has_morebooleanOptional
Indicates whether there are more results available after the current page.
next_cursorstringOptional

The cursor token to use for fetching the next page of results. This will be null if has_more is false.

total_resultsintegerOptional
The total number of results from all pages.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error